"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const expectAdapter_1 = require("../../util/expectAdapter");
function toBeDisplayed(received, options = {}) {
    return expectAdapter_1.runExpect.call(this, toBeDisplayedFn, arguments);
}
exports.toBeDisplayed = toBeDisplayed;
function toBeDisplayedFn(received, options = {}) {
    this.expectation = this.expectation || 'displayed';
    return browser.call(async () => {
        const result = await utils_1.executeCommandBe.call(this, received, async (el) => {
            try {
                return el.isDisplayed();
            }
            catch (_a) {
                return false;
            }
        }, options);
        return result;
    });
}
function toBeVisible(el, options) {
    const context = expectAdapter_1.getContext(this);
    context.expectation = 'visible';
    return toBeDisplayed.call(context, el, options);
}
exports.toBeVisible = toBeVisible;
