"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const expectAdapter_1 = require("../../util/expectAdapter");
function toHaveText(received, text, options = {}) {
    return expectAdapter_1.runExpect.call(this, toHaveTextFn, arguments);
}
exports.toHaveText = toHaveText;
function toHaveTextFn(received, text, options = {}) {
    const isNot = this.isNot;
    const { expectation = 'text', verb = 'have' } = this;
    return browser.call(async () => {
        let el = await received;
        let actualText;
        const pass = await utils_1.waitUntil(async () => {
            const result = await utils_1.executeCommand.call(this, el, condition, options, [text, options]);
            el = result.el;
            actualText = result.values;
            return result.success;
        }, isNot, options);
        utils_1.updateElementsArray(pass, received, el);
        const message = utils_1.enhanceError(el, utils_1.wrapExpectedWithArray(el, actualText, text), actualText, this, verb, expectation, '', options);
        return {
            pass,
            message: () => message
        };
    });
}
exports.toHaveTextFn = toHaveTextFn;
async function condition(el, text, options) {
    let actualText = await el.getText();
    return utils_1.compareText(actualText, text, options);
}
