"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DEFAULT_OPTIONS = {
    wait: 2000,
    interval: 100,
};
let mode = 'jest';
let expectLib;
if (global.ExpectWebdriverIO) {
    expectLib = global.ExpectWebdriverIO;
}
else if (global.jasmine) {
    expectLib = global.jasmine;
    mode = 'jasmine';
}
else {
    expectLib = global.expect;
}
if (!expectLib._expectWebdriverio) {
    expectLib._expectWebdriverio = { options: { ...DEFAULT_OPTIONS }, mode };
}
exports.getConfig = () => expectLib._expectWebdriverio;
exports.setDefaultOptions = (options = {}) => {
    Object.entries(options).forEach(([key, value]) => {
        if (key in DEFAULT_OPTIONS) {
            expectLib._expectWebdriverio.options[key] = value;
        }
    });
};
